.TH Test Server Application 6 "test_server  3.3.4" "Ericsson AB" "ERLANG APPLICATION DEFINITION"
.SH APPLICATION
Test Server Application \- Test Server for manual or automatic testing of Erlang code
.SH DESCRIPTION
.LP
\fITest Server\fR is a portable test server for automated application testing\&. The server can run test suites on local or remote targets and log progress and results to HTML pages\&. The main purpose of Test Server is to act as engine inside customized test tools\&. A callback interface for such framework applications is provided\&.
.LP
In brief the test server supports:
.RS 2
.TP 2
*
Running multiple, concurrent test suites
.TP 2
*
Running tests on remote and even diskless targets
.TP 2
*
Test suites may contain other test suites, in a tree fashion
.TP 2
*
Logging of the events in a test suite, on both suite and case levels
.TP 2
*
HTML presentation of test suite results
.TP 2
*
HTML presentation of test suite code
.TP 2
*
Support for test suite authors, e\&.g\&. start/stop slave nodes
.TP 2
*
Call trace on target and slave nodes
.RE
.LP
For information about how to write test cases and test suites, please see the Test Server User\&'s Guide and the reference manual for the \fItest_server\fR module\&. 
.LP
\fICommon Test\fR is an existing test tool application based on the OTP Test Server\&. Please read the Common Test User\&'s Guide for more information\&. 

.SH CONFIGURATION
.LP
There are currently no configuration parameters available for this application\&. 
.SH SEE ALSO
.LP

